Skip to Content
Hive
API Referencev1VoIP DSS

Rename a DSS Gateway

PUT
/v1/voip/dss/gtw/settings/name/{idGtw}

Update the display name of a DSS gateway. The organization is resolved from the authenticated user.

Path Parameters

idGtw*integer

DSS gateway identifier

Request Body

application/json
  1. body

DSS trunk or gateway settings payload. Each endpoint uses the property relevant to that operation.

maxChannel?integer

Maximum number of concurrent channels

trafficLimit?integer

Traffic credit limit

bkNumber?string

Backup number

nome*string

Trunk or gateway name

Response Body

DSS resource updated successfully.

Example Request
curl -X PUT 'https://api.eis.it/v1/voip/dss/gtw/settings/name/0' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty